Subject: RE: bug#20254: 25.0.50; `face' overlays with equal priority at the same location

From: Drew Adams <[email-masked]>
Date: Fri, 3 Apr 2015 15:24:56 -0700 (PDT)

> > Is there a rule behind this behavior?
> 
> If an overlay is nested inside another, then it takes precedence.
> If neither is nested in the other then the precedence is not documented
> (IIRC it's arbitrarily taken to be "the one that's closest to
> point-min", and if start and end at the same position, then the
> precedence depends on the 100% arbitrary addresses of the overlays in
> memory).

In the case I described, the overlays are on exactly the same positions
(they coincide), so the last phrase applies, apparently: "100% arbitrary
addresses of the overlays in memory".

Any chance this implementation could be revisited, to do something
regular - predictable and user-manipulable?  Or would that be too costly
in terms of performance?  If it is feasible then please consider this
to be such an enhancement request.